View Issue Details

IDProjectCategoryView StatusLast Update
0001052SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version 
Target Version3.5.0Fixed in Version3.5.0 
Summary0001052: Install a default ssl cert if none exists when ssl is turned on so that ssl works by default
DescriptionInstall a default ssl cert if none exists when ssl is turned on so that ssl works by default
TagsNo tags attached.

Activities

chenson

2013-07-22 17:52

administrator   ~0000333

prepare for release

Related Changesets

SymmetricDS: master d521147f

2013-06-04 11:59:19

chenson

Details Diff
0001052: Install a default ssl cert if none exists when ssl is turned on so that ssl works by default
0001052
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSymmetricEngine.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/SystemConstants.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/util/BasicDataSourceFactory.java Diff File
mod - symmetric-parent/pom.xml Diff File
mod - symmetric-server/src/main/deploy/security/keystore Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricLauncher.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricWebServer.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/PullUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/ServerSymmetricEngine.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File
mod - symmetric-util/pom.xml Diff File
add - symmetric-util/src/main/java/org/jumpmind/security/BouncyCastleSecurityService.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/ISecurityService.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityConstants.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityService.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityServiceFactory.java Diff File
mod - symmetric-util/src/test/java/org/jumpmind/util/AppUtilsTest.java Diff File
mod - symmetric-util/src/test/java/org/jumpmind/util/FormatUtilsTest.java Diff File

Issue History

Date Modified Username Field Change
2013-02-18 18:57 chenson New Issue
2013-02-18 18:57 chenson Status new => assigned
2013-02-18 18:57 chenson Assigned To => chenson
2013-02-18 19:04 chenson Product Version 3.3.2 =>
2013-02-18 19:04 chenson Target Version => 3.4.0
2013-04-21 09:18 chenson Target Version 3.4.0 => 3.5.0
2013-06-04 12:05 chenson Status assigned => resolved
2013-06-04 12:05 chenson Fixed in Version => 3.5.0
2013-06-04 12:05 chenson Resolution open => fixed
2013-07-22 17:52 chenson Note Added: 0000333
2013-07-22 17:52 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7319
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d521147f